import { jsx } from "react/jsx-runtime";
import { TokenNGC as TokenNGC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNGC = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "NGC", "data-name": "TokenNGC", ...props, children: /* @__PURE__ */ jsx(TokenNGC$1, { variant }) });
  }
);
TokenNGC.displayName = "TokenNGC";
Object.assign(TokenNGC, { isGdsIcon: true });
export {
  TokenNGC
};
